<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <title>web3</title>
    <link rel="stylesheet" href="style.css">
  </head>
  
  <body> 
  
    <header>
      <a id="top"></a>
      <div>
      <img id="logo" src="image.png" alt = "logo">
      <h1> Виды ссылок, таблица и форма </h1>
      </div>
    </header>

    <main>
        
      <nav>
        <ul id="menu"> 
          <li><a href="list">Ссылки</a></li>
          <li><a href="#tab">Таблица</a></li>
          <li><a href="#frm">Форма</a></li>
        </ul>
      </nav>
      
      <h2>Ссылки</h2>
      
      <ol id="list">
        <li><a href="http://www.example.com">example.com</a></li>
        <li><a href="https://www.example.com">example.com</a></li>
        <li><a href="ftp://ftp.mccme.ru/pub/free-books/uspensky/source.zip">Ссылка ftp без логина и пароля</a> </li>
        <li><a href="ftp://login:password@ftp.mccme.ru/pub/free-books/uspensky/source.zip">Ссылка ftp с логином и паролем</a> </li>
        <li><a href="http://www.example.com#top">Оглавление example.com</a></li>
        <li><a href="#top">Оглавление текущей страницы</a></li>
        <li><a href="http://www.example.com?a&q">ссылка с 2-мя параметрами</a></li>
        <li>
          <ul>
            <li><a href="https://www.example.com/about" title="About">О web1</a> </li>
            <li><a href="http://www.example.com/QA" title="QA">QA web1</a> </li>
            <li><a href="http://www.example.com/contacts" title="Contanct">Контакты web1</a> </li>
          </ul>
        </li>
        <li><a>ссылка без href</a></li>  
        <li><a href ="">ссылка с пустым href</a></li>
        <li><a href="http://www.example.com" rel="nofollow">Ссылка, по которой запрещен переход</a></li>
        <li><!--noindex--><a href="http://example.ru" rel="nofollow">Не индексируемая ссылка</a><!--/noindex--> </li>
        <li><p>Вы можете перейти на <a href="http://www.example.com">главную</a> сайта example</p></li>
        <li><a href="http://www.example.com"><img src ="http://webupblog.ru/wp-content/uploads/2017/04/ssilka-v-html.jpg" alt = "1"> </a></li>
        <li>
         <img src ="http://webupblog.ru/wp-content/uploads/2017/04/ssilka-v-html.jpg" alt = "1"  usemap = "#figuri">
         <map name = "figuri">
           <area shape = "rect" coords = "25,25,125,125" href = "/about" alt = "1">
           <area shape = "circle"  coords = "200,75,50" href = "/QA" alt = "1">
         </map>
        </li>
        <li><a href="about">ссылка в текущем каталоге</a></li>
        <li><a href="about/1">ссылка в каталоге about</a></li>
        <li><a href="../news">ссылка на страницу в каталоге выше</a></li>
        <li><a href="../../2">ссылка на страницу в каталоге 2-мя уровнями выше</a></li>
        <li><a href="/">сокращенная ссылка на главную</a></li>
        <li><a href="/about">сокращенная ссылка на внутреннюю</a></li>
      </ol>
    
      <table>
        <caption id="tab"><h2>Таблица</h2></caption>
        <tr class="cet">
          <th>Продукт</th>
          <th>Цена</th>
          <th>Дата поступления</th>
        </tr>  
        <tr>
          <td>A</td>
          <td>1111</td> 
          <td>12.11.19</td>
        </tr>
        <tr class="cet">
          <td>B</td>
          <td>122</td>
          <td>01.04.19</td>
        </tr>
        <tr>
          <td>C</td>
          <td>1234</td> 
          <td>11.11.19</td>
        </tr>
        <tr class="cet">
          <td>D</td>
          <td>1444</td>
          <td>21.10.19</td>
        </tr>
        <tr>
          <td>E</td>
          <td>3223</td>
          <td>21.11.19</td>
        </tr>
        <tr class="cet">
          <td colspan="2">Объединенные ячейки по горизонтали</td>
          <td rowspan="2">Объединенные ячейки по вертикали</td>
        </tr>
        <tr>
          <td>E</td>
          <td>3223</td>
        </tr>
      </table>
       
      <h2 id="frm">Форма</h2>  
     
      <form>
        <p>Имя<br>
          <input>
        </p>
        <p>email<br>
          <input type="email">
        </p>
        <p>дата рождения<br>
          <input type="date">
        </p>
        <p>Пол<br>
         <label>М<input type="radio" name="g" value="M" checked> </label> 
         <label>Ж<input type="radio" name="g" value="W"> </label>
        </p>
        <p>Количество конечностей<br>
         <label>1<input type="radio" name="kk" value="1" checked> </label> 
         <label>2<input type="radio" name="kk" value="2"> </label>
         <label>3<input type="radio" name="kk" value="3"> </label>
         <label>4<input type="radio" name="kk" value="4"> </label>
        </p>
        <p>Сверхспособности<br>
          <select>
            <option value="1">Бессмертие</option>
            <option value="2">Левитация</option> 
            <option value="3">Прохождение сквозь стены</option> 
          </select>
        </p> 
        <p>Биография<br>
          <textarea name="bio"></textarea>
        </p>
        <p>С контрактом ознакомлен 
          <input type="checkbox">
        </p>  
        <p><button type="submit">Отправить</button></p>
      </form>
    </main>

    <footer><p>(с) Марунов Антон 2019</p></footer>
    
  </body>
  
</html>


